/*
 * libkarma/rio_rw.h
 *
 * Copyright (c) Frank Zschockelt <libkarma@freakysoft.de> 2004
 * 
 * You may distribute and modify this program under the terms of 
 * the GNU GPL, version 2 or later.
 *
 */
#define NOT_TAGGED "[karmalib 0.1]"
int rio_read(int rio, uint32_t fid, const char * filename);
int synchronize_necessary(int rio);
int rio_write(int rio, const char * filename);

void add_general(HASH * p, const char * file, unsigned int len);
int get_ogg_props(HASH *p, const char * oggfile);
int get_flac_props(HASH *p, const char * flacfile, unsigned int len);
int get_mp3_props(HASH *p, const char * mp3file);
int get_taxi_props(HASH *p);
/*int get_wma_props(HASH *p, const char * wmafile);*/
int get_wave_props(HASH *p, const char * wavefile);

